Bug 615958 - RFE: Access reports via XML-RPC
Summary: RFE: Access reports via XML-RPC
Status: CLOSED UPSTREAM
Alias: None
Product: Bugzilla
Classification: Community
Component: WebService   
(Show other bugs)
Version: devel
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: tools-bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-19 11:35 UTC by Alexander Todorov
Modified: 2013-06-24 01:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-11 02:52:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 781075 None None None Never

Description Alexander Todorov 2010-07-19 11:35:26 UTC
Description of problem:
This RFE is to add support for reports functionality via XML-RPC. I didn't find this documented nowhere and assume it's not currently supported. 

What I need is the tabular report feature where you define x/y/z axes and the result is a table (or multiple tables).

Comment 1 Jeff Fearn 🐞 2012-05-30 04:41:23 UTC
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.

Comment 2 Alexander Todorov 2012-05-31 08:05:35 UTC
I can't find any mention of XML-RPC access for reporting. Assuming still not fixed.

Comment 3 Simon Green 2012-10-11 02:52:58 UTC
(In reply to comment #2)
> I can't find any mention of XML-RPC access for reporting. Assuming still not
> fixed.

Fixed upstream. Will be part of the Bugzilla 4.4

  -- simon


Note You need to log in before you can comment on or make changes to this bug.